This forum is in READ-ONLY mode.
You can look around, but if you want to ask a new question, please use the new forum.
Home » support » Installation and setup » MAMP / Symfony 1.4.6 - Pear include issue
MAMP / Symfony 1.4.6 - Pear include issue [message #102100] Wed, 07 July 2010 01:02
flurdulis  is currently offline flurdulis
Messages: 25
Registered: January 2010
Junior Member
Hi
I am not able to use PEAR even though I have it installed and include path exists in php.ini file. Here is the error:

>> 
plugin    installing plugin "sfDoctrineGuardPlugin"

Warning: require_once(PEAR.php): failed to open stream: No such file or directory in /Applications/MAMP/htdocs/projects/bigbang/lib/vendor/symfony/lib/plugin/sfPearEnvironment.class.php on line 15

Fatal error: require_once(): Failed opening required 'PEAR.php' (include_path='.:/usr/lib/php') in /Applications/MAMP/htdocs/projects/bigbang/lib/vendor/symfony/lib/plugin/sfPearEnvironment.class.php on line 15
My-MacBook-Pro:bigbang  



Pear runs from commandline and linked to:

/usr/bin/pear


The actual location is at

/Applications/MAMP/PEAR  and /Applications/MAMP/bin/pear


The entry inside php.ini:

include_path = ".:/Applications/MAMP/bin/php5.3/lib/php:/Applications/MAMP/PEAR"


I also tried placing a separate file with "require "PEAR.php" just under localhost/ and that worked just fine. So, I am not sure what is wrong and why symfony is not seeing the path from php.ini. I restarted the servers, restarted the computer, and still not able to use PEAR. Any suggestions?

Thanks!

[Updated on: Wed, 07 July 2010 02:10]

Previous Topic:symfony without pretty urls
Next Topic:Images and css not foud
Goto Forum:
  

powered by FUDforum - copyright ©2001-2004 FUD Forum Bulletin Board Software